{
    "compilerOptions": {
        "target": "es5",
        "lib": ["dom", "dom.iterable", "esnext"],
        "allowJs": true,
        "skipLibCheck": true,
        "forceConsistentCasingInFileNames": true,
        "noEmit": true,
        "esModuleInterop": true,
        "module": "esnext",
        "strict": true,
        "alwaysStrict": true,
        "strictNullChecks": true,
        "noUnusedLocals": false,
        "noFallthroughCasesInSwitch": true,
        "noImplicitAny": true,
        "noImplicitThis": true,
        "noImplicitReturns": true,
        "moduleResolution": "node",
        "resolveJsonModule": true,
        "isolatedModules": true,
        "jsx": "react",
        "downlevelIteration": true,
        "allowSyntheticDefaultImports": true,
        "types": ["react-spring", "jest"],
        "baseUrl": "src",
        "typeRoots": [
            "./node_modules/@types",
            "./types"
        ]
    },
    "exclude": ["node_modules", "cypress"],
    "include": ["./src/index.tsx", "./src/**/*.d.ts", "./types"]
}
